import ts__default from 'typescript';
import { Assertions } from '../assertions/types.mjs';
import { ExpectTypeFailures } from './types.mjs';

declare function getExpectTypeFailures(sourceFile: ts__default.SourceFile, assertions: Pick<Assertions, "twoSlashAssertions" | "typeAssertions">, program: ts__default.Program): ExpectTypeFailures;

export { getExpectTypeFailures };
