"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name2 in all)
    __defProp(target, name2, { get: all[name2], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var plugin_exports = {};
__export(plugin_exports, {
  plugin: () => plugin,
  recommendedRuleSettings: () => recommendedRuleSettings
});
module.exports = __toCommonJS(plugin_exports);
var import_node_module = require("node:module");
var import_rules = require("./rules/index.js");
const import_meta = {};
const require2 = (0, import_node_module.createRequire)(import_meta.url || __filename);
const { name, version } = require2("../package.json");
const plugin = {
  meta: {
    name,
    version
  },
  rules: import_rules.rules
};
const recommendedRuleSettings = Object.fromEntries(
  Object.entries(import_rules.rules).map(([name2]) => [
    "expect-type/" + name2,
    "error"
  ])
);
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  plugin,
  recommendedRuleSettings
});
//# sourceMappingURL=plugin.js.map