import { createRequire } from "node:module";
import { rules } from "./rules/index.js";
const require2 = createRequire(import.meta.url || __filename);
const { name, version } = require2("../package.json");
const plugin = {
  meta: {
    name,
    version
  },
  rules
};
const recommendedRuleSettings = Object.fromEntries(
  Object.entries(rules).map(([name2]) => [
    "expect-type/" + name2,
    "error"
  ])
);
export {
  plugin,
  recommendedRuleSettings
};
//# sourceMappingURL=plugin.mjs.map