"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ruleTester_exports = {};
__export(ruleTester_exports, {
  filename: () => filename,
  ruleTester: () => ruleTester
});
module.exports = __toCommonJS(ruleTester_exports);
var import_rule_tester = require("@typescript-eslint/rule-tester");
var path = __toESM(require("path"));
var vitest = __toESM(require("vitest"));
const tsconfigRootDir = path.join(__dirname, "sandbox");
const filename = path.join(tsconfigRootDir, "file.ts");
import_rule_tester.RuleTester.afterAll = vitest.afterAll;
import_rule_tester.RuleTester.it = vitest.it;
import_rule_tester.RuleTester.itOnly = vitest.it.only;
import_rule_tester.RuleTester.describe = vitest.describe;
const ruleTester = new import_rule_tester.RuleTester({
  parser: "@typescript-eslint/parser",
  parserOptions: {
    project: path.join(tsconfigRootDir, "tsconfig.json"),
    tsconfigRootDir
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  filename,
  ruleTester
});
//# sourceMappingURL=ruleTester.js.map