import * as ts from 'typescript';

declare const locForTSNode: (sourceFile: ts.SourceFile, node: ts.Node) => {
    end: {
        column: number;
        line: number;
    };
    start: {
        column: number;
        line: number;
    };
};
declare function lineOfPosition(pos: number, sourceFile: ts.SourceFile): number;
declare function getNodeAtPosition(sourceFile: ts.SourceFile, position: number): ts.Node | undefined;

export { getNodeAtPosition, lineOfPosition, locForTSNode };
