import * as ts from 'typescript';

declare function getLanguageServiceHost(program: ts.Program): ts.LanguageServiceHost;
declare function getNodeForExpectType(node: ts.Node): ts.Node;
declare function matchReadonlyArray(actual: string, expected: string): boolean;
declare function matchModuloWhitespace(actual: string, expected: string): boolean;

export { getLanguageServiceHost, getNodeForExpectType, matchModuloWhitespace, matchReadonlyArray };
